ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2510 by gezelter, Thu Dec 15 14:47:17 2005 UTC vs.
Revision 2518 by tim, Fri Dec 16 21:52:50 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CXXCPP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CXXCPP LIBOBJS __func__ INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 6687 | Line 6687 | fi
6687    exit
6688   fi
6689  
6690
6691 ac_ext=c
6692 ac_cpp='$CPP $CPPFLAGS'
6693 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6694 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6695 ac_compiler_gnu=$ac_cv_c_compiler_gnu
6690  
6691  
6692   #
# Line 6957 | Line 6951 | fi
6951   fi
6952  
6953  
6954 <        ac_ext=c
6955 < ac_cpp='$CPP $CPPFLAGS'
6956 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6957 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6958 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
6954 >        ac_ext=cc
6955 > ac_cpp='$CXXCPP $CPPFLAGS'
6956 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6957 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6958 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
6959  
6960          if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6961          then
# Line 7007 | Line 7001 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7001    cat conftest.err >&5
7002    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7003    (exit $ac_status); } &&
7004 <         { ac_try='test -z "$ac_c_werror_flag"
7004 >         { ac_try='test -z "$ac_cxx_werror_flag"
7005                           || test ! -s conftest.err'
7006    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7007    (eval $ac_try) 2>&5
# Line 7115 | Line 7109 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7109    cat conftest.err >&5
7110    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7111    (exit $ac_status); } &&
7112 <         { ac_try='test -z "$ac_c_werror_flag"
7112 >         { ac_try='test -z "$ac_cxx_werror_flag"
7113                           || test ! -s conftest.err'
7114    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7115    (eval $ac_try) 2>&5
# Line 7159 | Line 7153 | if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$a
7153    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7154    (exit $ac_status); } >/dev/null; then
7155    if test -s conftest.err; then
7156 <    ac_cpp_err=$ac_c_preproc_warn_flag
7157 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
7156 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
7157 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
7158    else
7159      ac_cpp_err=
7160    fi
# Line 7180 | Line 7174 | case $ac_header_compiler:$ac_header_preproc:$ac_c_prep
7174   echo "${ECHO_T}$ac_header_preproc" >&6
7175  
7176   # So?  What about this header?
7177 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
7177 > case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
7178    yes:no: )
7179      { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
7180   echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
# Line 8285 | Line 8279 | if test "$ac_test_CFLAGS" != "set"; then
8279                      CFLAGS="-O"
8280                  fi;;
8281    sparc-solaris2*) if test "$CC" = cc; then
8282 <                    CFLAGS="-native -fast -xO5 -dalign"
8282 >                    CFLAGS="-O -dalign"
8283                   fi;;
8284  
8285    alpha*-osf*)  if test "$CC" = cc; then
# Line 8748 | Line 8742 | if test "$ac_test_CXXFLAGS" != "set"; then
8742                      CXXFLAGS="-O"
8743                  fi;;
8744    sparc-solaris2*) if test "$CXX" = CC; then
8745 <                    CXXFLAGS="-native -fast -xO5 -dalign"
8745 >                    CXXFLAGS="-features=extensions -O -dalign"
8746                   fi;;
8747     rs6000*-aix*)  if test "$CXX" = xlC; then
8748                      CXXFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 9258 | Line 9252 | esac
9252  
9253       ;;
9254   esac
9255 +
9256 + ac_ext=cc
9257 + ac_cpp='$CXXCPP $CPPFLAGS'
9258 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
9259 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
9260 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
9261 +
9262 + # AC_CPP_FUNC
9263 + # ------------------ #
9264 + # Checks to see if ANSI C99 CPP variable __func__ works.
9265 + # If not, perhaps __FUNCTION__ works instead.
9266 + # If not, we'll just define __func__ to "".
9267 + # AC_CPP_FUNC
9268 +
9269 +
9270 + echo "$as_me:$LINENO: checking for an ANSI C99-conforming __func__" >&5
9271 + echo $ECHO_N "checking for an ANSI C99-conforming __func__... $ECHO_C" >&6
9272 + if test "${ac_cv_cpp_func+set}" = set; then
9273 +  echo $ECHO_N "(cached) $ECHO_C" >&6
9274 + else
9275 +  cat >conftest.$ac_ext <<_ACEOF
9276 + /* confdefs.h.  */
9277 + _ACEOF
9278 + cat confdefs.h >>conftest.$ac_ext
9279 + cat >>conftest.$ac_ext <<_ACEOF
9280 + /* end confdefs.h.  */
9281 +
9282 + int
9283 + main ()
9284 + {
9285 + const char *foo = __func__;
9286 +  ;
9287 +  return 0;
9288 + }
9289 + _ACEOF
9290 + rm -f conftest.$ac_objext
9291 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9292 +  (eval $ac_compile) 2>conftest.er1
9293 +  ac_status=$?
9294 +  grep -v '^ *+' conftest.er1 >conftest.err
9295 +  rm -f conftest.er1
9296 +  cat conftest.err >&5
9297 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
9298 +  (exit $ac_status); } &&
9299 +         { ac_try='test -z "$ac_cxx_werror_flag"
9300 +                         || test ! -s conftest.err'
9301 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9302 +  (eval $ac_try) 2>&5
9303 +  ac_status=$?
9304 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
9305 +  (exit $ac_status); }; } &&
9306 +         { ac_try='test -s conftest.$ac_objext'
9307 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9308 +  (eval $ac_try) 2>&5
9309 +  ac_status=$?
9310 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
9311 +  (exit $ac_status); }; }; then
9312 +  ac_cv_cpp_func=yes
9313 + else
9314 +  echo "$as_me: failed program was:" >&5
9315 + sed 's/^/| /' conftest.$ac_ext >&5
9316 +
9317 + cat >conftest.$ac_ext <<_ACEOF
9318 + /* confdefs.h.  */
9319 + _ACEOF
9320 + cat confdefs.h >>conftest.$ac_ext
9321 + cat >>conftest.$ac_ext <<_ACEOF
9322 + /* end confdefs.h.  */
9323 +
9324 + int
9325 + main ()
9326 + {
9327 + const char *foo = __FUNCTION__;
9328 +  ;
9329 +  return 0;
9330 + }
9331 + _ACEOF
9332 + rm -f conftest.$ac_objext
9333 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9334 +  (eval $ac_compile) 2>conftest.er1
9335 +  ac_status=$?
9336 +  grep -v '^ *+' conftest.er1 >conftest.err
9337 +  rm -f conftest.er1
9338 +  cat conftest.err >&5
9339 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
9340 +  (exit $ac_status); } &&
9341 +         { ac_try='test -z "$ac_cxx_werror_flag"
9342 +                         || test ! -s conftest.err'
9343 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9344 +  (eval $ac_try) 2>&5
9345 +  ac_status=$?
9346 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
9347 +  (exit $ac_status); }; } &&
9348 +         { ac_try='test -s conftest.$ac_objext'
9349 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9350 +  (eval $ac_try) 2>&5
9351 +  ac_status=$?
9352 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
9353 +  (exit $ac_status); }; }; then
9354 +  ac_cv_cpp_func=__FUNCTION__
9355 + else
9356 +  echo "$as_me: failed program was:" >&5
9357 + sed 's/^/| /' conftest.$ac_ext >&5
9358 +
9359 + ac_cv_cpp_func=no
9360 + fi
9361 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9362 + fi
9363 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9364 + fi
9365 + echo "$as_me:$LINENO: result: $ac_cv_cpp_func" >&5
9366 + echo "${ECHO_T}$ac_cv_cpp_func" >&6
9367 + if test $ac_cv_cpp_func = __FUNCTION__; then
9368 +
9369 + cat >>confdefs.h <<\_ACEOF
9370 + #define __func__ __FUNCTION__
9371 + _ACEOF
9372  
9373 + elif test $ac_cv_cpp_func = no; then
9374 +
9375 + cat >>confdefs.h <<\_ACEOF
9376 + #define __func__ ""
9377 + _ACEOF
9378 +
9379 + fi
9380 +
9381 +
9382 + ac_ext=c
9383 + ac_cpp='$CPP $CPPFLAGS'
9384 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
9385 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
9386 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
9387 +
9388 +
9389   # Find a good install program.  We prefer a C program (faster),
9390   # so one script is as good as another.  But avoid the broken or
9391   # incompatible versions:
# Line 11876 | Line 12003 | s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
12003   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
12004   s,@CXXCPP@,$CXXCPP,;t t
12005   s,@LIBOBJS@,$LIBOBJS,;t t
12006 + s,@__func__@,$__func__,;t t
12007   s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
12008   s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
12009   s,@INSTALL_DATA@,$INSTALL_DATA,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines